#!/bin/sh
# emergency skript exit to prevent boot loop
      for USB in ${1:- \
         /dtv/usb/sd* } ; do
         echo "checking $USB"
         sleep 1
         if [ -e $USB/STOP_SAMYGO ]; then
            "STOP found. Script exit..."
            exit 1
         fi
         if [ -e "$USB/SamyGO_data/samyext4.img" ]; 
		 then
		 	samygo_data_dir="$USB/SamyGO_data"
         fi
      done
cd /tmp
if [ -f "/mtd_rwcommon/SamyGO_mount/rcSGO" ]
then
	echo "SamyGO already started."
	exit 1
fi
if [ -z "$samygo_data_dir" ]
then
	echo "SamyGO_data not found."
	exit 1
fi
mkdir /tmp/bin
/mtd_exe/InfoLink/lib/unzip -o -P 12345 "$samygo_data_dir/data.zip" -d /tmp/bin/
chmod 777 /tmp/bin/*
/tmp/bin/busybox --install -s /tmp/bin
sync
export PATH=/tmp/bin:$PATH
export LD_LIBRARY_PATH=/tmp/bin:$LD_LIBRARY_PATH
sync
/tmp/bin/busybox tcpsvd -vE 0.0.0.0 21 /tmp/bin/busybox ftpd -w / &
/tmp/bin/remshd33 & #remshd shell on 33 port from now!
sync

ln -s /dev/loop3 /tmp/loopnone
sync
/tmp/bin/busybox losetup /tmp/loopnone  "$samygo_data_dir/samyext4.img"
mkdir /mtd_rwcommon/SamyGO_mount
/tmp/bin/busybox mount -o sync,exec /tmp/loopnone /mtd_rwcommon/SamyGO_mount
/tmp/bin/busybox --install -s /mtd_rwcommon/SamyGO_mount/bin
sync  

cd / && /sbin/rmmod ARS_module > /dev/null 2>&1
echo " " >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "===========================" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "ls -la after rmmod ARS_module" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "===========================" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
ls -la /mtd_rwcommon/SamyGO_mount/* >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "===========================" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "Starting rcSGO from run1.sh" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "===========================" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
/mtd_rwcommon/SamyGO_mount/bin/busybox sh -x /mtd_rwcommon/SamyGO_mount/rcSGO /mtd_rwcommon/SamyGO_mount >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1

echo " " >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "===========================" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "Starting UEP_killer.sh" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
echo "===========================" >> /mtd_rwcommon/SamyGO_mount/sam.log 2>&1
/tmp/bin/UEP_killer.sh &

ps | grep run.sh | grep -v grep | while read child_pid others
do
    echo "Killing child process $child_pid of run.sh"
    kill -9 $child_pid
done  
